#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  GNOME Libraries and Desktop

- Next

  Gcr-4.4.0.1

- Up
- Home

# Gcr-3.41.2

## Introduction to Gcr

The Gcr package contains libraries used for displaying certificates and accessing key stores. It also provides the viewer for crypto files on the GNOME Desktop.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gcr/3.41/gcr-3.41.2.tar.xz

- Download MD5 sum: 40a754ba44d5e95e4d07656d6302900c

- Download size: 1012 KB

- Estimated disk space required: 33 MB (with tests)

- Estimated build time: 0.2 SBU (with tests; both using parallelism=4)

### Gcr Dependencies

#### Required

GLib-2.88.0 (GObject Introspection recommended), libgcrypt-1.12.2, and p11-kit-0.26.2

#### Recommended

GnuPG-2.5.19, GTK-3.24.52, libsecret-0.21.7, libxslt-1.1.45, and Vala-0.56.19

#### Optional

Gi-DocGen-2026.1 and Valgrind-3.26.0

## Installation of Gcr

First, apply a fix for building without OpenSSH installed:

    sed '/ssh.add/d; /ssh.agent/d' -i meson.build

Install Gcr by running the following commands:

    sed -i 's:"/desktop:"/org:' schema/*.xml &&

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                -D ssh_agent=false  \
                ..                  &&
    ninja

If you have Gi-DocGen-2026.1 installed and wish to build the API documentation for this package, issue:

    sed -e "/install_dir/s@,\$@ / 'gcr-3.41.2'&@" \
        -i ../docs/*/meson.build                  &&
    meson configure -D gtk_doc=true               &&
    ninja

To test the results, issue: ninja test. The tests must be run from an X Terminal or similar.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D ssh_agent=false`: Disable the ssh-agent implementation from this package. This implementation is incomplete and the implementation from Gcr-4.4.0.1 should be used instead for GNOME.

`-D gtk=false`: Use this switch if you haven't installed GTK-3.24.52. Note that gcr-viewer will not be installed if this is option is used.

`-D gtk_doc=true`: Allow building this package without Gi-DocGen-2026.1 installed. If you have Gi-DocGen-2026.1 installed and you wish to rebuild and install the API documentation, a meson configure command will reset this option.

## Contents

Installed Program: gcr-viewer
Installed Libraries: libgck-1.so, libgcr-base-3.so and libgcr-ui-3.so
Installed Directories: /usr/include/gck-1, /usr/include/gcr-3, and /usr/share/gtk-doc/html/{gcr,gck}

### Short Descriptions

gcr-viewer | is used to view certificates and key files
`libgck-1.so` | contains GObject bindings for PKCS#11

- Prev

  GNOME Libraries and Desktop

- Next

  Gcr-4.4.0.1

- Up
- Home